%global namedreltag .SP3
%global namedversion %{version}%{?namedreltag}

Name:             weld-api
Version:          2.2
Release:          %mkrel 2%{namedreltag}.2
Group:            Development/Java
Summary:          Weld API
License:          ASL 2.0
URL:              http://seamframework.org/Weld
Source0:          https://github.com/weld/api/archive/%{namedversion}.tar.gz

BuildArch:        noarch

BuildRequires:    maven-local
BuildRequires:    mvn(javax.enterprise:cdi-api)
BuildRequires:    mvn(javax.inject:javax.inject)
BuildRequires:    mvn(javax.persistence:persistence-api)
BuildRequires:    mvn(javax.transaction:jta)
BuildRequires:    mvn(javax.validation:validation-api)
BuildRequires:    mvn(org.apache.maven.surefire:surefire-testng)
BuildRequires:    mvn(org.codehaus.mojo:build-helper-maven-plugin)
BuildRequires:    mvn(org.codehaus.mojo:buildnumber-maven-plugin)
BuildRequires:    mvn(org.jboss.spec.javax.ejb:jboss-ejb-api_3.2_spec)
BuildRequires:    mvn(org.jboss.spec.javax.interceptor:jboss-interceptors-api_1.2_spec)
BuildRequires:    mvn(org.jboss.spec.javax.servlet:jboss-servlet-api_3.0_spec)
BuildRequires:    mvn(org.jboss.weld:weld-parent:pom:)
BuildRequires:    mvn(org.testng:testng::jdk15:)

%description
Weld specifc extensions to the CDI API

%package javadoc
Summary:          Javadocs for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n api-%{namedversion}

%pom_remove_plugin -r :maven-deploy-plugin
%pom_remove_plugin ":maven-checkstyle-plugin" weld/pom.xml
%pom_remove_plugin ":maven-checkstyle-plugin" weld-spi/pom.xml

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%dir %{_javadir}/%{name}

%files javadoc -f .mfiles-javadoc



%changelog
* Tue Mar 01 2016 daviddavid <daviddavid> 2.2-2.SP3.2.mga6
+ Revision: 981567
- fix FTBFS (rhbz#1308237)
- use BRs mvn()-like
- fix some rpmlint problem

* Tue Mar 01 2016 neoclust <neoclust> 2.2-2.SP3.1.mga6
+ Revision: 981512
- Fix release

* Tue Mar 01 2016 pterjan <pterjan> 2.2-2.SP3.mga6
+ Revision: 981494
- Add missing group

  + neoclust <neoclust>
    - imported package weld-api

* Wed Dec 31 2014 pterjan <pterjan> 2.1-1.mga5
+ Revision: 807776
- Sync with Fedora 21 (update to 2.1.Final)

* Mon Dec 29 2014 daviddavid <daviddavid> 2.0-1.SP1.5.mga5
+ Revision: 807056
- add missing BuilRequires on bean-validation-api

  + umeabot <umeabot>
    - Second Mageia 5 Mass Rebuild
    - Mageia 5 Mass Rebuild

* Mon Oct 21 2013 umeabot <umeabot> 2.0-1.SP1.2.mga4
+ Revision: 538029
- Mageia 4 Mass Rebuild

* Mon Sep 23 2013 dmorgan <dmorgan> 2.0-1.SP1.1.mga4
+ Revision: 483678
- New version 2.0.SP1
- Fix build

* Mon Jan 14 2013 umeabot <umeabot> 1.1-2.mga3
+ Revision: 385675
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jun 22 2012 gil <gil> 1.1-1.mga3
+ Revision: 262652
- fix BR
- fix BR
- imported package weld-api


* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2-2.SP3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Jan 14 2015 Marek Goldmann <mgoldman@redhat.com> - 2.2-1.SP3
- Upstream release 2.2.SP3

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Mar 28 2014 Michael Simacek <msimacek@redhat.com> - 2.1-2
- Use Requires: java-headless rebuild (#1067528)

* Fri Jan 10 2014 Marek Goldmann <mgoldman@redhat.com> - 2.1-1
- Upstream release 2.1.Final

* Wed Oct 23 2013 Marek Goldmann <mgoldman@redhat.com> - 2.1-0.3.CR1
- Add bean-validation-api BR

* Wed Oct 23 2013 Mikolaj Izdebski <mizdebsk@redhat.com> - 2.1-0.2.CR1
- Rebuild to regenerate broken POM files
- Related: rhbz#1021484

* Tue Oct 22 2013 Marek Goldmann <mgoldman@redhat.com> - 2.1-0.1.CR1
- Upstream release 2.1.CR1

* Thu Jul 04 2013 Marek Goldmann <mgoldman@redhat.com> - 2.0-1
- Upstream release 2.0.SP1
- New guidelines

* Tue Feb 19 2013 Marek Goldmann <mgoldman@redhat.com> - 1.1-7
- Added geronimo-parent-poms BR
- Using geronimo-jta

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Feb 06 2013 Java SIG <java-devel@lists.fedoraproject.org> - 1.1-5
- Update for https://fedoraproject.org/wiki/Fedora_19_Maven_Rebuild
- Replace maven BuildRequires with maven-local

* Sun Jul 22 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sun Apr 01 2012 Marek Goldmann <mgoldman@redhat.com> 1.1-3
- Fixed jar naming

* Tue Mar 27 2012 Marek Goldmann <mgoldman@redhat.com> 1.1-2
- Fixed BR

* Wed Mar 14 2012 Marek Goldmann <mgoldman@redhat.com> 1.1-1
- Initial packaging

